Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aspectj.weaver.tools
Class WeavingAdaptor.WeavingAdaptorMessageHolder

    java.lang.Object
      org.aspectj.bridge.MessageHandler
          org.aspectj.weaver.tools.WeavingAdaptor.WeavingAdaptorMessageHolder

All Implemented Interfaces:
  org.aspectj.bridge.IMessageHandler, org.aspectj.bridge.IMessageHolder

Enclosing class:
  WeavingAdaptor

    protected class WeavingAdaptor.WeavingAdaptorMessageHolder

extends org.aspectj.bridge.MessageHandler

Processes messages arising from weaver operations. Tell weaver to abort on any message more severe than warning.

Field Summary
`protected boolean` | `traceMessages`

Fields inherited from class org.aspectj.bridge.MessageHandler
`handleMessageResult, ignoring, interceptor, messages`

Fields inherited from interface org.aspectj.bridge.IMessageHolder
`EQUAL, ORGREATER`

Fields inherited from interface org.aspectj.bridge.IMessageHandler
`SYSTEM_ERR, SYSTEM_OUT, THROW`

Constructor Summary
`WeavingAdaptor.WeavingAdaptorMessageHolder(java.io.PrintWriter writer)`

Method Summary
`void` | `dontIgnore(org.aspectj.bridge.IMessage.Kind kind)`
`void` | `flushMessages()`
`java.util.List` | `getUnmodifiableListView()`
`boolean` | `handleMessage(org.aspectj.bridge.IMessage message)`
`void` | `ignore(org.aspectj.bridge.IMessage.Kind kind)`
`boolean` | `isIgnoring(org.aspectj.bridge.IMessage.Kind kind)`
`protected java.lang.String` | `render(org.aspectj.bridge.IMessage message)`
`void` | `setDelegate(org.aspectj.bridge.IMessageHandler messageHandler)`

Methods inherited from class org.aspectj.bridge.MessageHandler
`clearMessages, getErrors, getMessages, getWarnings, hasAnyMessage, init, init, numMessages, setInterceptor, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### traceMessages

    protected boolean traceMessages

Constructor Detail

### WeavingAdaptor.WeavingAdaptorMessageHolder

    public WeavingAdaptor.WeavingAdaptorMessageHolder(java.io.PrintWriter writer)

Method Detail

### render

    protected java.lang.String render(org.aspectj.bridge.IMessage message)

### flushMessages

    public void flushMessages()

### setDelegate

    public void setDelegate(org.aspectj.bridge.IMessageHandler messageHandler)

### handleMessage

    public boolean handleMessage(org.aspectj.bridge.IMessage message)
                          throws org.aspectj.bridge.AbortException

  Specified by:
    `handleMessage` in interface `org.aspectj.bridge.IMessageHandler`
  Overrides:
    `handleMessage` in class `org.aspectj.bridge.MessageHandler`
  Throws:
    `org.aspectj.bridge.AbortException`

### isIgnoring

    public boolean isIgnoring(org.aspectj.bridge.IMessage.Kind kind)

  Specified by:
    `isIgnoring` in interface `org.aspectj.bridge.IMessageHandler`
  Overrides:
    `isIgnoring` in class `org.aspectj.bridge.MessageHandler`

### dontIgnore

    public void dontIgnore(org.aspectj.bridge.IMessage.Kind kind)

  Specified by:
    `dontIgnore` in interface `org.aspectj.bridge.IMessageHandler`
  Overrides:
    `dontIgnore` in class `org.aspectj.bridge.MessageHandler`

### ignore

    public void ignore(org.aspectj.bridge.IMessage.Kind kind)

  Specified by:
    `ignore` in interface `org.aspectj.bridge.IMessageHandler`
  Overrides:
    `ignore` in class `org.aspectj.bridge.MessageHandler`

### getUnmodifiableListView

    public java.util.List getUnmodifiableListView()

  Specified by:
    `getUnmodifiableListView` in interface `org.aspectj.bridge.IMessageHolder`
  Overrides:
    `getUnmodifiableListView` in class `org.aspectj.bridge.MessageHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD